{% extends 'layout.html.twig' %}

{% block content %}
  <h1>{{ 'security.auth'|trans }}</h1>

  <div class="row expanded collapse">
    <div class="small-12 medium-6 large-3 column end">
      {% if error %}
        <div class="callout alert">
          {{ error.messageKey|trans(error.messageData, 'security') }}
        </div>
      {% endif %}

      <form action="{{ path('login') }}" method="post">
        <label for="username">
          {{ 'security.username'|trans }}:
          <input type="text" id="username" name="_username" value="{{ last_username }}" />
        </label>

        <label for="password">
          {{ 'security.password'|trans }}:
          <input type="password" id="password" name="_password" />
        </label>

        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}" />

        <button type="submit" class="button">{{ 'security.submit'|trans }}</button>
      </form>
    </div>
  </div>
{% endblock %}
